When clicking on Glipper icon, no history or options appear.

Asked by Roy Smits on 2012-07-14

Glipper starts properly at boot-time. When I click on the glipper-icon, I correctly see my clipboard history and options. However, once I have selected some text and click the icon again, all history and options are gone. It stays like this, until I reboot or restart glipper from a terminal. But even then the problem simply repeats itself.

When running glipper from a terminal I get these messages:
LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

I am using Glipper version 2.3 on Ubuntu 12.04 (upgraded from 11.10). Also, I've tried to use klipper to replace glipper, but that has the exact same problem.

I have not enabled any of the plugins.

(Okay, at the moment glipper actually works when running it from a terminal. Must be because I am posting about it.)

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu glipper Edit question
Assignee:
No assignee Edit question
Last query:
2012-07-15
Last reply:
2012-07-15

If you make a new Ubuntu user, is it the same?

Roy Smits (jm-smits) said : #2

Yes. If I log in as guest, I have the same problem.

Also, when I run glipper from a terminal, I get the following message when I select text:

Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/glipper/AppIndicator.py", line 144, in on_history_changed
    self.update_menu(history_list)
  File "/usr/lib/python2.7/dist-packages/glipper/AppIndicator.py", line 79, in update_menu
    menu_item = gtk.CheckMenuItem(format_item(item), False)
  File "/usr/lib/python2.7/dist-packages/glipper/AppIndicator.py", line 185, in format_item
    i = item.replace("\n", " ")
AttributeError: 'NoneType' object has no attribute 'replace'

Can you give the output of:

uname -a; lsb_release -a; apt-cache policy glipper

Thanks

Roy Smits (jm-smits) said : #4

Sure:

uname -a; lsb_release -a; apt-cache policy glipper
Linux astroy 3.2.0-26-generic-pae #41-Ubuntu SMP Thu Jun 14 16:45:14 UTC 2012 i686 i686 i386 GNU/Linux
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 12.04 LTS
Release: 12.04
Codename: precise
glipper:
  Installed: 2.3-1
  Candidate: 2.3-1
  Version table:
 *** 2.3-1 0
        500 http://nl.archive.ubuntu.com/ubuntu/ precise/universe i386 Packages
        100 /var/lib/dpkg/status

All I can suggest is report a bug, you could use parcellite as an alternative

Roy Smits (jm-smits) said : #6

I've submitted it as a bug, although I understand glipper is no longer maintained.

Thanks for your help!

https://launchpad.net/glipper/+download

Seems to only be 7 months since the last release...

Can you help with this problem?

Provide an answer of your own, or ask Roy Smits for more information if necessary.

To post a message you must log in.